Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class ObjectFactory

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the com.atomikos.icatch.jaxb.wsc.v200410 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.atomikos.icatch.jaxb.wsc.v200410

Method Summary
`javax.xml.bind.JAXBElement<AttributedURI>` | `createAction(AttributedURI value)` Create an instance of `JAXBElement``<``AttributedURI``>`}
`AttributedQName` | `createAttributedQName()` Create an instance of `AttributedQName`
`AttributedURI` | `createAttributedURI()` Create an instance of `AttributedURI`
`Body` | `createBody()` Create an instance of `Body`
`javax.xml.bind.JAXBElement<Body>` | `createBody(Body value)` Create an instance of `JAXBElement``<``Body``>`}
`CoordinationContext` | `createCoordinationContext()` Create an instance of `CoordinationContext`
`CoordinationContextType` | `createCoordinationContextType()` Create an instance of `CoordinationContextType`
`CoordinationContextType.Identifier` | `createCoordinationContextTypeIdentifier()` Create an instance of `CoordinationContextType.Identifier`
`javax.xml.bind.JAXBElement<CreateCoordinationContextType>` | `createCreateCoordinationContext(CreateCoordinationContextType value)` Create an instance of `JAXBElement``<``CreateCoordinationContextType``>`}
`javax.xml.bind.JAXBElement<CreateCoordinationContextResponseType>` | `createCreateCoordinationContextResponse(CreateCoordinationContextResponseType value)` Create an instance of `JAXBElement``<``CreateCoordinationContextResponseType``>`}
`CreateCoordinationContextResponseType` | `createCreateCoordinationContextResponseType()` Create an instance of `CreateCoordinationContextResponseType`
`CreateCoordinationContextType` | `createCreateCoordinationContextType()` Create an instance of `CreateCoordinationContextType`
`CreateCoordinationContextType.CurrentContext` | `createCreateCoordinationContextTypeCurrentContext()` Create an instance of `CreateCoordinationContextType.CurrentContext`
`Detail` | `createDetail()` Create an instance of `Detail`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createEndpointReference(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`EndpointReferenceType` | `createEndpointReferenceType()` Create an instance of `EndpointReferenceType`
`Envelope` | `createEnvelope()` Create an instance of `Envelope`
`javax.xml.bind.JAXBElement<Envelope>` | `createEnvelope(Envelope value)` Create an instance of `JAXBElement``<``Envelope``>`}
`Expires` | `createExpires()` Create an instance of `Expires`
`Fault` | `createFault()` Create an instance of `Fault`
`javax.xml.bind.JAXBElement<Fault>` | `createFault(Fault value)` Create an instance of `JAXBElement``<``Fault``>`}
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createFaultTo(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createFrom(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`Header` | `createHeader()` Create an instance of `Header`
`javax.xml.bind.JAXBElement<Header>` | `createHeader(Header value)` Create an instance of `JAXBElement``<``Header``>`}
`javax.xml.bind.JAXBElement<AttributedURI>` | `createMessageID(AttributedURI value)` Create an instance of `JAXBElement``<``AttributedURI``>`}
`ReferenceParametersType` | `createReferenceParametersType()` Create an instance of `ReferenceParametersType`
`ReferencePropertiesType` | `createReferencePropertiesType()` Create an instance of `ReferencePropertiesType`
`javax.xml.bind.JAXBElement<RegisterType>` | `createRegister(RegisterType value)` Create an instance of `JAXBElement``<``RegisterType``>`}
`javax.xml.bind.JAXBElement<RegisterResponseType>` | `createRegisterResponse(RegisterResponseType value)` Create an instance of `JAXBElement``<``RegisterResponseType``>`}
`RegisterResponseType` | `createRegisterResponseType()` Create an instance of `RegisterResponseType`
`RegisterType` | `createRegisterType()` Create an instance of `RegisterType`
`javax.xml.bind.JAXBElement<Relationship>` | `createRelatesTo(Relationship value)` Create an instance of `JAXBElement``<``Relationship``>`}
`Relationship` | `createRelationship()` Create an instance of `Relationship`
`javax.xml.bind.JAXBElement<ReplyAfterType>` | `createReplyAfter(ReplyAfterType value)` Create an instance of `JAXBElement``<``ReplyAfterType``>`}
`ReplyAfterType` | `createReplyAfterType()` Create an instance of `ReplyAfterType`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createReplyTo(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`ServiceNameType` | `createServiceNameType()` Create an instance of `ServiceNameType`
`javax.xml.bind.JAXBElement<AttributedURI>` | `createTo(AttributedURI value)` Create an instance of `JAXBElement``<``AttributedURI``>`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.atomikos.icatch.jaxb.wsc.v200410

Method Detail

### createCoordinationContext

    public CoordinationContext createCoordinationContext()

  Create an instance of `CoordinationContext`

### createCreateCoordinationContextResponseType

    public CreateCoordinationContextResponseType createCreateCoordinationContextResponseType()

  Create an instance of `CreateCoordinationContextResponseType`

### createReferenceParametersType

    public ReferenceParametersType createReferenceParametersType()

  Create an instance of `ReferenceParametersType`

### createAttributedURI

    public AttributedURI createAttributedURI()

  Create an instance of `AttributedURI`

### createBody

    public Body createBody()

  Create an instance of `Body`

### createDetail

    public Detail createDetail()

  Create an instance of `Detail`

### createReplyAfterType

    public ReplyAfterType createReplyAfterType()

  Create an instance of `ReplyAfterType`

### createEndpointReferenceType

    public EndpointReferenceType createEndpointReferenceType()

  Create an instance of `EndpointReferenceType`

### createServiceNameType

    public ServiceNameType createServiceNameType()

  Create an instance of `ServiceNameType`

### createCoordinationContextTypeIdentifier

    public CoordinationContextType.Identifier createCoordinationContextTypeIdentifier()

  Create an instance of `CoordinationContextType.Identifier`

### createRegisterType

    public RegisterType createRegisterType()

  Create an instance of `RegisterType`

### createFault

    public Fault createFault()

  Create an instance of `Fault`

### createAttributedQName

    public AttributedQName createAttributedQName()

  Create an instance of `AttributedQName`

### createEnvelope

    public Envelope createEnvelope()

  Create an instance of `Envelope`

### createCoordinationContextType

    public CoordinationContextType createCoordinationContextType()

  Create an instance of `CoordinationContextType`

### createCreateCoordinationContextTypeCurrentContext

    public CreateCoordinationContextType.CurrentContext createCreateCoordinationContextTypeCurrentContext()

  Create an instance of `CreateCoordinationContextType.CurrentContext`

### createExpires

    public Expires createExpires()

  Create an instance of `Expires`

### createCreateCoordinationContextType

    public CreateCoordinationContextType createCreateCoordinationContextType()

  Create an instance of `CreateCoordinationContextType`

### createRelationship

    public Relationship createRelationship()

  Create an instance of `Relationship`

### createReferencePropertiesType

    public ReferencePropertiesType createReferencePropertiesType()

  Create an instance of `ReferencePropertiesType`

### createRegisterResponseType

    public RegisterResponseType createRegisterResponseType()

  Create an instance of `RegisterResponseType`

### createHeader

    public Header createHeader()

  Create an instance of `Header`

### createRegisterResponse

    public javax.xml.bind.JAXBElement<RegisterResponseType> createRegisterResponse(RegisterResponseType value)

  Create an instance of `JAXBElement``<``RegisterResponseType``>`}

### createCreateCoordinationContextResponse

    public javax.xml.bind.JAXBElement<CreateCoordinationContextResponseType> createCreateCoordinationContextResponse(CreateCoordinationContextResponseType value)

  Create an instance of `JAXBElement``<``CreateCoordinationContextResponseType``>`}

### createEnvelope

    public javax.xml.bind.JAXBElement<Envelope> createEnvelope(Envelope value)

  Create an instance of `JAXBElement``<``Envelope``>`}

### createReplyTo

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createReplyTo(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createBody

    public javax.xml.bind.JAXBElement<Body> createBody(Body value)

  Create an instance of `JAXBElement``<``Body``>`}

### createHeader

    public javax.xml.bind.JAXBElement<Header> createHeader(Header value)

  Create an instance of `JAXBElement``<``Header``>`}

### createAction

    public javax.xml.bind.JAXBElement<AttributedURI> createAction(AttributedURI value)

  Create an instance of `JAXBElement``<``AttributedURI``>`}

### createEndpointReference

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createEndpointReference(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createReplyAfter

    public javax.xml.bind.JAXBElement<ReplyAfterType> createReplyAfter(ReplyAfterType value)

  Create an instance of `JAXBElement``<``ReplyAfterType``>`}

### createRelatesTo

    public javax.xml.bind.JAXBElement<Relationship> createRelatesTo(Relationship value)

  Create an instance of `JAXBElement``<``Relationship``>`}

### createMessageID

    public javax.xml.bind.JAXBElement<AttributedURI> createMessageID(AttributedURI value)

  Create an instance of `JAXBElement``<``AttributedURI``>`}

### createTo

    public javax.xml.bind.JAXBElement<AttributedURI> createTo(AttributedURI value)

  Create an instance of `JAXBElement``<``AttributedURI``>`}

### createCreateCoordinationContext

    public javax.xml.bind.JAXBElement<CreateCoordinationContextType> createCreateCoordinationContext(CreateCoordinationContextType value)

  Create an instance of `JAXBElement``<``CreateCoordinationContextType``>`}

### createFaultTo

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createFaultTo(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createFault

    public javax.xml.bind.JAXBElement<Fault> createFault(Fault value)

  Create an instance of `JAXBElement``<``Fault``>`}

### createRegister

    public javax.xml.bind.JAXBElement<RegisterType> createRegister(RegisterType value)

  Create an instance of `JAXBElement``<``RegisterType``>`}

### createFrom

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createFrom(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.